Organization API: Customer Portal: Databases
The 16 Organization API operations for databases.
Part of Customer Portal.
GET /api/v1/orgs/{org_slug}/portal/servers/{uuid}/databases
| Name |
In |
Type |
Required |
uuid |
path |
string |
yes |
org_slug |
path |
string |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
POST /api/v1/orgs/{org_slug}/portal/servers/{uuid}/databases
| Name |
In |
Type |
Required |
uuid |
path |
string |
yes |
org_slug |
path |
string |
yes |
Idempotency-Key |
header |
string or null |
no |
application/json
Type: object or null.
| Status |
Meaning |
201 |
Success. |
422 |
The request is not valid. detail lists each problem. |
DELETE /api/v1/orgs/{org_slug}/portal/servers/{uuid}/databases/{database_id}
| Name |
In |
Type |
Required |
uuid |
path |
string |
yes |
database_id |
path |
integer |
yes |
org_slug |
path |
string |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
GET /api/v1/orgs/{org_slug}/portal/servers/{uuid}/databases/{database_id}/credentials
| Name |
In |
Type |
Required |
uuid |
path |
string |
yes |
database_id |
path |
integer |
yes |
org_slug |
path |
string |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
POST /api/v1/orgs/{org_slug}/portal/servers/{uuid}/databases/{database_id}/query
| Name |
In |
Type |
Required |
uuid |
path |
string |
yes |
database_id |
path |
integer |
yes |
org_slug |
path |
string |
yes |
application/json (required)
| Field |
Type |
Required |
sql |
string |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
POST /api/v1/orgs/{org_slug}/portal/servers/{uuid}/databases/{database_id}/retry
| Name |
In |
Type |
Required |
uuid |
path |
string |
yes |
database_id |
path |
integer |
yes |
org_slug |
path |
string |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
POST /api/v1/orgs/{org_slug}/portal/servers/{uuid}/databases/{database_id}/rotate-password
| Name |
In |
Type |
Required |
uuid |
path |
string |
yes |
database_id |
path |
integer |
yes |
org_slug |
path |
string |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
GET /api/v1/orgs/{org_slug}/portal/servers/{uuid}/databases/{database_id}/tables
| Name |
In |
Type |
Required |
uuid |
path |
string |
yes |
database_id |
path |
integer |
yes |
org_slug |
path |
string |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
DELETE /api/v1/orgs/{org_slug}/portal/servers/{uuid}/databases/{database_id}/tables/{table}
| Name |
In |
Type |
Required |
uuid |
path |
string |
yes |
database_id |
path |
integer |
yes |
table |
path |
string |
yes |
org_slug |
path |
string |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
GET /api/v1/orgs/{org_slug}/portal/servers/{uuid}/databases/{database_id}/tables/{table}/columns
| Name |
In |
Type |
Required |
uuid |
path |
string |
yes |
database_id |
path |
integer |
yes |
table |
path |
string |
yes |
org_slug |
path |
string |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
GET /api/v1/orgs/{org_slug}/portal/servers/{uuid}/databases/{database_id}/tables/{table}/export.csv
| Name |
In |
Type |
Required |
uuid |
path |
string |
yes |
database_id |
path |
integer |
yes |
table |
path |
string |
yes |
org_slug |
path |
string |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
GET /api/v1/orgs/{org_slug}/portal/servers/{uuid}/databases/{database_id}/tables/{table}/rows
| Name |
In |
Type |
Required |
Description |
uuid |
path |
string |
yes |
|
database_id |
path |
integer |
yes |
|
table |
path |
string |
yes |
|
org_slug |
path |
string |
yes |
|
limit |
query |
integer |
no |
Default: 50. |
offset |
query |
integer |
no |
Default: 0. |
search |
query |
string |
no |
|
sort |
query |
string or null |
no |
|
direction |
query |
string |
no |
Default: asc. |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
POST /api/v1/orgs/{org_slug}/portal/servers/{uuid}/databases/{database_id}/tables/{table}/rows
| Name |
In |
Type |
Required |
uuid |
path |
string |
yes |
database_id |
path |
integer |
yes |
table |
path |
string |
yes |
org_slug |
path |
string |
yes |
application/json (required)
| Field |
Type |
Required |
values |
Values |
yes |
| Status |
Meaning |
201 |
Success. |
422 |
The request is not valid. detail lists each problem. |
PATCH /api/v1/orgs/{org_slug}/portal/servers/{uuid}/databases/{database_id}/tables/{table}/rows
| Name |
In |
Type |
Required |
uuid |
path |
string |
yes |
database_id |
path |
integer |
yes |
table |
path |
string |
yes |
org_slug |
path |
string |
yes |
application/json (required)
| Field |
Type |
Required |
key |
Key |
yes |
values |
Values |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
POST /api/v1/orgs/{org_slug}/portal/servers/{uuid}/databases/{database_id}/tables/{table}/rows/delete
| Name |
In |
Type |
Required |
uuid |
path |
string |
yes |
database_id |
path |
integer |
yes |
table |
path |
string |
yes |
org_slug |
path |
string |
yes |
application/json (required)
| Field |
Type |
Required |
key |
Key |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
POST /api/v1/orgs/{org_slug}/portal/servers/{uuid}/databases/{database_id}/tables/{table}/truncate
| Name |
In |
Type |
Required |
uuid |
path |
string |
yes |
database_id |
path |
integer |
yes |
table |
path |
string |
yes |
org_slug |
path |
string |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |